<?php

//On s'assure que MySQL est supporté
if (!function_exists('mysql_connect')) exit('Cet environnement ne supporte pas MySQL qui est requis pour utiliser cette classe');

class alex_livre_sql {

  public $db_connect_id;
  public $query_result;
  public $saved_queries = array();
  public $row = array();
	public $rowset = array();
  public $num_queries = 0;

  //Connexion à Mysql puis à la base de données
  function __construct($db_host, $db_username, $db_password, $db_name, $persistency) {
    $this->db_connect_id = @mysql_connect($db_host, $db_username, $db_password);
    if ($this->db_connect_id) {
      if (@mysql_select_db($db_name, $this->db_connect_id)) {
   			// Setup the client-server character set
				if (defined('NAMES_UTF8'))
					$this->set_names('utf8');
      	return $this->db_connect_id;
      }
      else sql_error('Could not connect to database. MySQL said : '.mysql_error());
    }
    else sql_error('Could not connect to MySQL. MySQL said : '.mysql_error());
  }

  function sql_close() {
    if ($this->db_connect_id) {
      if ($this->query_result) @mysql_free_result($this->query_result);
      return @mysql_close($this->db_connect_id);
    }
    else return false;
  }

  function sql_query($sql) {
    if (defined('SEE_QUERIES')) $q_start = microtime(true);
    $this->query_result = @mysql_query($sql, $this->db_connect_id);
    if ($this->query_result !== false) {
      if (defined('SEE_QUERIES')) $this->saved_queries[] = array($sql, (microtime(true) - $q_start));
      ++$this->num_queries;
      return $this->query_result;
    }
    else {
      if (defined('SEE_QUERIES')) $this->saved_queries[] = array($sql, 0);
			sql_error("Query error.\nQuery is:".$sql."\nError ".@mysql_errno($this->db_connect_id)."\nError message: ".@mysql_error($this->db_connect_id)."\n");
      return false;
    }
  }

  function sql_numrows($query_id = 0) {
    return ($query_id) ? @mysql_num_rows($query_id) : false;
  }

  function sql_affectedrows() {
    return ($this->db_connect_id) ? @mysql_affected_rows($this->db_connect_id) : false;
  }

	function sql_numfields($query_id = 0)	{
		if(!$query_id)
			$query_id = $this->query_result;
		return ($query_id) ? @mysql_num_fields($query_id) : false;
	}

	function sql_fieldname($offset, $query_id = 0) {
		if(!$query_id)
			$query_id = $this->query_result;
		return ($query_id) ? @mysql_field_name($query_id, $offset) : false;
	}

	function sql_fieldtype($offset, $query_id = 0) {
		if(!$query_id)
			$query_id = $this->query_result;
		return ($query_id) ? @mysql_field_type($query_id, $offset) : false;
	}

	function sql_fetchrow($query_id = 0)	{
		if(!$query_id)
			$query_id = $this->query_result;
		if($query_id) {
			$this->row[(int)$query_id] = @mysql_fetch_array($query_id);
			return $this->row[(int)$query_id];
		}
		else
			return false;
	}

	function sql_fetchrowset($query_id = 0)	{
		if(!$query_id)
			$query_id = $this->query_result;
		if($query_id)	{
			unset($this->rowset[$query_id]);
			unset($this->row[$query_id]);
			while($this->rowset[$query_id] = @mysql_fetch_array($query_id))
			{
				$result[] = $this->rowset[$query_id];
			}
			return $result;
		}
		else
			return false;
	}
	function sql_fetchfield($field, $rownum = -1, $query_id = 0) {
		if(!$query_id)
			$query_id = $this->query_result;
		if($query_id)	{
			if($rownum > -1)
				$result = @mysql_result($query_id, $rownum, $field);
			else	{
				if(empty($this->row[$query_id]) && empty($this->rowset[$query_id]))	{
					if($this->sql_fetchrow())
						$result = $this->row[$query_id][$field];
				}
				else {
					if($this->rowset[$query_id])
						$result = $this->rowset[$query_id][$field];
					else if($this->row[$query_id])
						$result = $this->row[$query_id][$field];
				}
			}
			return $result;
		}
		else
			return false;
	}

	function sql_rowseek($rownum, $query_id = 0) {
		if(!$query_id)
			$query_id = $this->query_result;
		return ($query_id) ? @mysql_data_seek($query_id, $rownum) : false;
	}

	function sql_nextid(){
		return ($this->db_connect_id) ? @mysql_insert_id($this->db_connect_id) : false;
	}

	function sql_freeresult($query_id = 0) {
		if(!$query_id)
			$query_id = $this->query_result;
		if ( $query_id )	{
			unset($this->row[$query_id]);
			unset($this->rowset[$query_id]);
			@mysql_free_result($query_id);
			return true;
		}
		else
			return false;
	}

	//[modif oto] ajout pour SET NAMES utf8
	function set_names($names)	{
		return $this->sql_query('SET NAMES \''.$names.'\'');
	}

  function get_saved_queries() {
    return $this->saved_queries;
  }
}
define('TYPE_BASE_ALEX','MySQL');

include($chem_absolu."db/mysql_functions.".$alex_livre_ext);

?>