<?php
//Fonctions générales
//Affiche les requêtes
function see_saved_queries() {
  global $f_db_connexion;
  $saved_queries = $f_db_connexion->get_saved_queries();
  $nb_queries = count($saved_queries);
  $output = '';
  $output .= "<div id='sql_requete' style='margin-top:15px;'>\n";
  if($nb_queries > 0) {
    $output .= "<table style='border:1px solid #CC9966;border-collapse:collapse;margin:auto;background-color:#fbf4e2;padding:0;width:95%;font-size:0.80em;'>\n";
    $output .= "<caption>Queries to database</caption>\n";
    $output .= "<tr><th>#</th><th>Duration&nbsp;(s)</th><th style='width-min:500px;'>Queries ".TYPE_BASE_ALEX."</th></tr>\n";
    $query_time_total = 0.0;
        $i = 0;
				foreach($saved_queries as $cur_query) {
        $query_time_total += $cur_query[1];
        $output .= "<tr><td style='text-align:right;'>".(++$i)."</td>";
        $output .= "<td style='text-align:center;'>".(($cur_query[1] != 0) ? sprintf('%.6f',$cur_query[1]) : '&nbsp;')."</td>";
        $output .= "<td>".alex_htmlspecialchars($cur_query[0])."</td></tr>\n";
      }
      $output .= "<tr><td colspan='3' style='text-align:center;'>Total duration of queries : ".sprintf('%.6f',$query_time_total)." s</td></tr>\n";
      $output .= "</table>\n";
   }
   else $output .= "<p>No saved queries to display</p>\n";
  $output .= "</div>\n";
  return $output;
}

// Affiche un message d'erreur
function sql_error($message) {
	global $f_db_connexion,$SCRIPT_ENCODAGE;
	header("content-type:text/html; charset=$SCRIPT_ENCODAGE");
	$html = "<div style='border:4px solid red;background-color:white;margin:10px;'>\n<p style='font-weight:bold;color:red;'>Sorry, but an error occurred</p>\n";
	$html .= "<p>".nl2br($message)."</p>\n";
	$html .= "</div>\n";
	echo $html;
	if(defined('SEE_QUERIES')) {
		if(isset($f_db_connexion) && $f_db_connexion !== false) {
			echo "<div style='border:0;'background-color:white;margin:10px;'>\n";
			echo "<p style='text-align:center;font-weight:bold;'>Previous queries</p>\n";
			see_saved_queries();
			echo "</div>\n";
		}
	}
	exit;
}

//Fin des fonctions générales
?>